package com.clx.performance.service.borrower;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.clx.performance.param.pc.borrower.*;
import com.clx.performance.vo.pc.borrower.BorrowerVO;

import java.util.List;

/**
 * @Author: aiqinguo
 * @Description: 借出方
 * @Date: 2024/01/17 13:42:57
 * @Version: 1.0
 */
public interface BorrowerService {

    void saveBorrower(BorrowerAddParam param);
    void updateBorrower(BorrowerUpdateParam param);
    void updateStatus(BorrowerStatusUpdateParam param);
    void updateDelete(BorrowerDeleteUpdateParam param);

    IPage<BorrowerVO> pageBorrower(PageBorrowerParam param);
    List<BorrowerVO> ListBorrower();

}
